var adminXmlHttpRequest = createXmlHttpRequestObject();

function adminHandleServerResponse(what){
  //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
  if (adminXmlHttpRequest.readyState == 4){
    // tylko jeli status dania HTTP jest "OK"
    if (adminXmlHttpRequest.status == 200){
      try{
        var o_div = document.getElementById(what + '_div');

        if(o_div){
            var str = o_div.innerHTML = adminXmlHttpRequest.responseText;
            str = str.replace(/\r|\n/g, " ");

            var script_s = str.match(/<script([^>])+>(.*?)<\/script>/gi);
            var js = '', src = [];
            if( script_s ){
                i = 0;
                for( var i = 0;  i < script_s.length; i++){
                    if( (src = script_s[i].match(/src="([^"]+)"/i)) ){
                        script_load( src[1] );
                    }else{
                        js = trim(script_s[i].substring( script_s[i].indexOf('>')+1, script_s[i].lastIndexOf('<') ));
                        if( !empty(js) ){
                            eval(js);
                        }
                    }
                }
            }
        }

        hideLoading();

        hideTlo();

        return true;
      }catch(e){
        // wywietla komunikat o bdzie
        displayError(e.toString());
      }
    }else{
      displayError("Wystpi problem podczas pobierania danych:\n" + this.xmlHttpGetSuggestions.responseText);
    }
  }
} //end przygotujDane()



function adminGetConfig(what){
  var o_div = document.getElementById(what + '_div');

  if( !o_div || o_div.innerHTML != ''){
      return false;
  }


  if(adminXmlHttpRequest)
  {
    try
    {
      /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
      if (adminXmlHttpRequest.readyState == 4 || adminXmlHttpRequest.readyState == 0){
        //debug.pisz('cze sie z adresem: kontrahenci1.php?id='+ contact_id);
        showTlo();
        showLoading();

        adminXmlHttpRequest.open("GET", ADMIN_URL + '?action='+ACTION_CONFIG+'&mode='+ MODE_DISP + '&ajax=1&what=' + what, true);

        adminXmlHttpRequest.onreadystatechange = function(){adminHandleServerResponse(what);}

        adminXmlHttpRequest.send(null);
      }
      // jeli jest zajty...
      else{
        //this.debugDevice.pisz('Serwer jest zajty dla sowa: ' + keyword);
        // czyci poprzednio ustawione czasy
        //if(adminXmlHttpRequest.timeoutId != -1)
        //  clearTimeout(adminXmlHttpRequest.timeoutId);
        // ponawia prb po 0.5 sekundy
        //adminXmlHttpRequest.timeoutId = setTimeout(function(){ getKontrahent(oref, contact_id) }, 500);
      }
    }
    catch(e){
      alert("Nie mog poczy si z serwerem:\n" + e.toString());
    }
  }
}



/**************************************************************************************************/

function update_firmy_www( id, nazwa ){
    document.forms['reg_form'].elements['FIRMY_WWW'].value = id;
    document.forms['reg_form'].elements['FIRMY_WWW_NAZWA'].value = nazwa;
}

function update_osoby_www( id, nazwa ){
    document.forms['reg_form'].elements['OSOBY_WWW'].value = id;
    document.forms['reg_form'].elements['OSOBY_WWW_NAZWA'].value = nazwa;
}

function update_reg_firmy_ext( id, nazwa ){
    document.forms['reg_form'].elements['REG_FIRMY_EXT'].value = id;
    document.forms['reg_form'].elements['REG_FIRMY_EXT_NAZWA'].value = nazwa;
}

function update_reg_osoby_ext( id, nazwa ){
    document.forms['reg_form'].elements['REG_OSOBY_EXT'].value = id;
    document.forms['reg_form'].elements['REG_OSOBY_EXT_NAZWA'].value = nazwa;
}

/**************************************************************************************************/
function update_allegro_osoby_group( id, nazwa ){
    document.forms['allegro_form'].elements['ALLEGRO_OSOBY_GROUP_ID'].value = id;
    document.forms['allegro_form'].elements['ALLEGRO_OSOBY_GROUP_NAME'].value = nazwa;
}

function update_allegro_firmy_group( id, nazwa ){
    document.forms['allegro_form'].elements['ALLEGRO_FIRMY_GROUP_ID'].value = id;
    document.forms['allegro_form'].elements['ALLEGRO_FIRMY_GROUP_NAME'].value = nazwa;
}

function update_allegro_osoby_group_ext( id, nazwa ){
    document.forms['allegro_form'].elements['ALLEGRO_OSOBY_GROUP_EXT_ID'].value = id;
    document.forms['allegro_form'].elements['ALLEGRO_OSOBY_GROUP_EXT_NAME'].value = nazwa;
}

function update_allegro_firmy_group_ext( id, nazwa ){
    document.forms['allegro_form'].elements['ALLEGRO_FIRMY_GROUP_EXT_ID'].value = id;
    document.forms['allegro_form'].elements['ALLEGRO_FIRMY_GROUP_EXT_NAME'].value = nazwa;
}
/**************************************************************************************************/
var o_wyprz = null;
function update_wyprz( id ){
    if(!o_wyprz)
      o_wyprz = document.getElementById('WYPRZ_ID');

    o_wyprz.value = id;
}

var o_special_input = null;
function update_special_gid( id ){
    if(!o_special_input)
      o_special_input = document.getElementById('SPECIAL_GID');

    o_special_input.value = id;
}


var o_promo = null;
function update_promo( id ){
    if(!o_promo)
      o_promo = document.getElementById('PROMO_ID');

    o_promo.value = id;
}

var o_main_grupat_input = null;
function update_main_grupat( id, nazwa ){
    if(!o_main_grupat_input)
      o_main_grupat_input = document.getElementById('MAIN_GRUPAT_ID');

    o_main_grupat_input.value = id;
    o_main_grupat_input.form.elements['MAIN_GRUPAT_NAME'].value = nazwa;
}

var o_main_grupat_row = null;
function main_towary_show_onchange( o_sel ){

    if(!o_main_grupat_row){
        o_main_grupat_row = document.getElementById('main_grupat_row');
    }

    if( o_sel.value == 3 ){
        o_main_grupat_row.style.display = 'block';
    }else{
        o_main_grupat_row.style.display = 'none';
    }
}

var o_grupa_ext = null;
function update_grupa_ext( id, nazwa ){
    if(!o_grupa_ext)
      o_grupa_ext = document.getElementById('GM_GRUPAT_EXT_ID');

    o_grupa_ext.value = id;

    o_grupa_ext.form.elements['GM_GRUPAT_EXT_NAME'].value = nazwa;
}


function update_db_conf(sel){
    var f = sel.form;

    if(  sel.selectedIndex ){
        var i = sel.selectedIndex - 1;
        var s = servers[i];

        f.conf_name.value = s.name;
        f.db_host.value = s.db_host;
        f.db_default.checked = s.domyslny;
        f.db_path.value = s.db_path;
        f.db_user.value = s.db_user;
        f.db_pass.value = s.db_pass;
    }else{
        f.conf_name.value = '';
        f.db_host.value = '';
        f.db_default.checked = '';
        f.db_path.value = '';
        f.db_user.value = '';
        f.db_pass.value = '';
    }
}

function error_reporting(f){
    if(f.E_ALL.checked){
        f.E_E_ERROR.checked = true;
        f.E_PARSE.checked = true;
        f.E_WARNING.checked = true;
        f.E_NOTICE.checked = true;
    }else if( !f.E_NOTICE.checked || !f.E_WARNING.checked || !f.E_PARSE.checked || !f.E_E_ERROR.checked){
        f.E_ALL.checked = false;
    }
}
var firms = [];

function update_firm( fid ){

  if( fid  <= 0 ){
      alert('Nieprawidowy identyfikator firmy');
      return false;
  }

  if( typeof(firms[fid]) == 'object' ){
      var o_form = document.forms['firma_form'];
      o_form.elements['FIRMA_SHORT_NAME'].value = firms[fid]['short_name'];
      o_form.elements['FIRMA_FULL_NAME'].value = firms[fid]['full_name'];
      o_form.elements['FIRMA_NIP'].value = firms[fid]['nip'];
      o_form.elements['FIRMA_PLACE'].value = firms[fid]['place'];
      o_form.elements['FIRMA_ZIPCODE'].value = firms[fid]['zipcode'];
      o_form.elements['FIRMA_ADDRESS'].value = firms[fid]['address'];
      o_form.elements['FIRMA_TEL'].value = firms[fid]['tel'];
      o_form.elements['FIRMA_EMAIL'].value = firms[fid]['email'];

  }else{
      server_connect( adminXmlHttpRequest, ADMIN_URL + '?ajax=1&action=' + ACTION_AJAX + '&mode=get_firm&FIRM_ID=' + fid, function( responseText ){ try{eval(responseText);}catch(e){} } );
  }
}


function check_db_form( oForm ){
    var error = false;

    var db_host = trim( oForm.db_host.value );
    db_host = db_host.toLowerCase();

    if( !error && db_host != '' && db_host != 'localhost' && db_host != '127.0.0.1' ){
      alert('Uwaga w konfiguracji bazy danych podae adres hosta na ktrym znajduje si serwer firebird. Skrypt sprawdzi poczenie z podanym hostem. Moe to chwile potrwa dlatego uzbrj si w cierpliwo i zaczekaj a strona cakowicie si zaaduje.\n\nW skrajnych przypadkach test poczenia moe potrwa do 10 minut.')
    }

    return !error;
}


var o_smtp_params_div = null;
var o_sendmail_params_div = null;
function mail_method_onchange( o_select ){
    if( !o_sendmail_params_div ){
        o_sendmail_params_div = document.getElementById('sendmail_params_div');
    }

    if( !o_smtp_params_div ){
        o_smtp_params_div = document.getElementById('smtp_params_div');
    }

    hide_obj(o_sendmail_params_div);
    hide_obj(o_smtp_params_div);

    if( o_select.value == 'smtp' ){
        show_obj(o_smtp_params_div);
    }else if (o_select.value == 'sendmail'){
        show_obj(o_sendmail_params_div);
    }

}

var o_sms_command_div = null;
var o_sms_params_div = null;
var o_sms_clickatell_div = null;
var o_sms_test_debug_div = null;

function sms_modul_onchange( o_select ){
    if( !o_sms_command_div ){
        o_sms_command_div = document.getElementById('sms_command_div');
    }

    if( !o_sms_params_div ){
        o_sms_params_div = document.getElementById('sms_params_div');
    }

    if( !o_sms_clickatell_div ){
        o_sms_clickatell_div = document.getElementById('sms_clickatell_div');
    }
    if( !o_sms_test_debug_div ){
        o_sms_test_debug_div  = document.getElementById('sms_test_debug_div');
    }




    if( o_select.value == '' ){
        hide_obj(o_sms_command_div);
        hide_obj(o_sms_clickatell_div);
        hide_obj(o_sms_params_div);
        hide_obj(o_sms_test_debug_div);
    }else{
        show_obj(o_sms_test_debug_div);

        if( o_select.value == 'modemGSM' ){
            show_obj(o_sms_command_div);
            hide_obj(o_sms_params_div);
            hide_obj(o_sms_clickatell_div);
        }else if( o_select.value == 'clickatell' ){
            hide_obj(o_sms_command_div);
            show_obj(o_sms_clickatell_div);
            show_obj(o_sms_params_div);
        } else {
            hide_obj(o_sms_command_div);
            hide_obj(o_sms_clickatell_div);
            show_obj(o_sms_params_div);
        }
    }
}

function on_off_watermark(o_check){
    if( o_check.checked ){

        o_check.form.watermark.disabled       = false;
        o_check.form.MINI_WATERMARK.disabled  = false;
        o_check.form.SMALL_WATERMARK.disabled = false;
        o_check.form.PROMO_WATERMARK.disabled = false;
/*
        document.getElementById('mini_watermark_row').style.display = '';
        document.getElementById('small_watermark_row').style.display = '';
        document.getElementById('promo_watermark_row').style.display = '';
*/
    }else{
        o_check.form.watermark.disabled       = true;
        o_check.form.MINI_WATERMARK.disabled  = true;
        o_check.form.SMALL_WATERMARK.disabled = true;
        o_check.form.PROMO_WATERMARK.disabled = true;

/*
        document.getElementById('mini_watermark_row').style.display = 'none';
        document.getElementById('small_watermark_row').style.display = 'none';
        document.getElementById('promo_watermark_row').style.display = 'none';
*/
    }
}

var domyslna_il_do_koszyka_old = -999;
function do_koszyka_multi_onclick(o_check){

    if( o_check.checked ){
        domyslna_il_do_koszyka_old = o_check.form.elements['DOMYSLNA_IL_DO_KOSZYKA'].value;
        o_check.form.elements['DOMYSLNA_IL_DO_KOSZYKA'].value = 0;
        o_check.form.elements['DOMYSLNA_IL_DO_KOSZYKA'].disabled = true;
    }else {
        if( domyslna_il_do_koszyka_old != -999 ){
            o_check.form.elements['DOMYSLNA_IL_DO_KOSZYKA'].value = domyslna_il_do_koszyka_old;
        }
        o_check.form.elements['DOMYSLNA_IL_DO_KOSZYKA'].disabled = false;
    }
}


/**************************************************************************************************/
var b_priorytety_cen_sp_zdarzenie_dodane = false;
var o_priorytety_cen_sp_table = null;
var o_priorytety_cen_sp_table_rows = null;
var priorytety_cen_sp_table_rows_count = 0;

var priorytety_cen_sp_row = -1;

function priorytety_cen_sp_table_onclick( o_tab ){

    o_priorytety_cen_sp_table = o_tab;
    o_priorytety_cen_sp_table_rows = o_priorytety_cen_sp_table.getElementsByTagName('TR');
    priorytety_cen_sp_table_rows_count = o_priorytety_cen_sp_table_rows.length;

    if( !b_priorytety_cen_sp_zdarzenie_dodane ){
        add_event('onkeydown', document, priorytety_cen_sp_table_onkeydown, true );

        add_event('onclick', document, priorytety_cen_sp_doc_onclick, true );

        b_priorytety_cen_sp_zdarzenie_dodane = true;
    }
}

function priorytety_cen_sp_doc_onclick( e ){
    e = (!e) ? window.event : e;

    // pobiera adresata zdarzenia
    var target = (!e.target) ? e.srcElement : e.target;
    if (target.nodeType == 3) target = target.parentNode;

    var o_obj = target;
    var znaleziono = false;
    while( o_obj && !znaleziono ){
        if( o_obj.id == o_priorytety_cen_sp_table.id ){
            znaleziono = true;
        }

        o_obj = o_obj.parentNode;
    }

    if( !znaleziono ){
        remove_event( 'click', document );
        remove_event( 'keydown', document );

        b_priorytety_cen_sp_zdarzenie_dodane = false;

        //priorytety_cen_sp_row  = -1;
        //podswietl_wiersz(null);

        //console.log('wyrejestrowaem funkcje');
    }
}

function rowGetCell( o_tr, num ){
    var o_td = o_tr.firstChild;

    var i = 0;

    while( o_td ){
        if( o_td.nodeName == 'TD' ){
            i++;
            if( i == num ){
                break;
            }
        }
        o_td = o_td.nextSibling;
    }

    return o_td;
}

function priorytety_cen_sp_swap_rows( o_tr, o_tr2, after){

    if( after ){
        o_tr.parentNode.insertBefore( o_tr.parentNode.removeChild(o_tr), o_tr2.nextSibling);
    }else{
        o_tr.parentNode.insertBefore( o_tr.parentNode.removeChild(o_tr), o_tr2 );
    }

    var o_td = rowGetCell(o_tr, 3);
    var o_td2 = rowGetCell(o_tr2, 3);
    var html = '';
    html = o_td.innerHTML;
    o_td.innerHTML = o_td2.innerHTML ;
    o_td2.innerHTML = html;
}

function priorytety_cen_sp_domyslne(){
    if( !o_priorytety_cen_sp_table ){
        o_priorytety_cen_sp_table = document.getElementById();

        o_priorytety_cen_sp_table_rows = o_priorytety_cen_sp_table.getElementsByTagName('TR');
        priorytety_cen_sp_table_rows_count = o_priorytety_cen_sp_table_rows.length;
    }

    o_priorytety_cen_sp_table_rows = o_priorytety_cen_sp_table.getElementsByTagName('TR');
/*
    var o_td = null;
    var i, lp;
    var tablica = new Array();
    for( i = 1; i < priorytety_cen_sp_table_rows_count; i++ ){
        lp
        tablica.push( { 'lp' : 1, 'row' : i} );

        if(){

        }
    }
*/

}

function priorytety_cen_sp_up(){
    if( priorytety_cen_sp_row < 0 ){
        alert('Najpierw zaznacz wiersz ktry chcesz przesun w gr.');
        return false;
    }

    if( priorytety_cen_sp_row > 1 ){
        var o_trows = o_priorytety_cen_sp_table.getElementsByTagName('TR');

        var o_tr = o_trows.item( priorytety_cen_sp_row + 1);
        var o_tr2 = o_trows.item( priorytety_cen_sp_row );

        priorytety_cen_sp_swap_rows(o_tr, o_tr2);

        priorytety_cen_sp_row--;
    }
}


function priorytety_cen_sp_down(){
    if( priorytety_cen_sp_row < 0 ){
        alert('Najpierw zaznacz wiersz ktry chcesz przesun w d.');

        return false;
    }

    var o_trows = o_priorytety_cen_sp_table.getElementsByTagName('TR');

    if( (priorytety_cen_sp_row > 0) && ((priorytety_cen_sp_row + 1) < (o_trows.length - 1)) ){
        var o_tr = o_trows.item( priorytety_cen_sp_row + 1);
        var o_tr2 = o_trows.item( priorytety_cen_sp_row + 2);

        priorytety_cen_sp_swap_rows(o_tr, o_tr2, true);

        priorytety_cen_sp_row++;
    }
}


function priorytety_cen_sp_table_onkeydown( e ){
  // pobiera zdarzenie
  e = (!e) ? window.event : e;

  // pobiera adresata zdarzenia
  var target = (!e.target) ? e.srcElement : e.target;

  if (target.nodeType == 3) target = target.parentNode;

  // pobiera kod znaku nacinitego klawisza
  var code = (e.charCode) ? e.charCode :((e.keyCode) ? e.keyCode :((e.which) ? e.which : 0));

  var old_num = 0;

  var stop_propagation = false;

  switch( code ){
      case 40:
        stop_propagation = true;

        if( e.ctrlKey ){
            priorytety_cen_sp_down()
            return false;
        }else if( priorytety_cen_sp_row < priorytety_cen_sp_table_rows_count - 1 ){ //bo nagwek
            old_num = priorytety_cen_sp_row++;
        }else{
            old_num = priorytety_cen_sp_row;
            priorytety_cen_sp_row = 0;
        }
      break;

      // nacinicie strzaki w g przenosi nas do poprzedniej podpowiedzi
      case 38:
        stop_propagation = true;

        if( e.ctrlKey ){
            priorytety_cen_sp_up();
            return false;
        }else if(priorytety_cen_sp_row > 0){
            old_num = priorytety_cen_sp_row--;
        }else if( priorytety_cen_sp_row == 0 ){
            old_num = priorytety_cen_sp_row;
            priorytety_cen_sp_row = priorytety_cen_sp_table_rows_count - 2;
        }
      break;

      case 32:
        e.returnValue = e.cancelBubble = true;
        try{
          e.stopPropagation();
          e.preventDefault();
        }catch(err){}

        if( priorytety_cen_sp_row > 0 ){
            var o_inputs = o_priorytety_cen_sp_table.getElementsByTagName('INPUT');
            var o_input;
            o_input = o_inputs.item(priorytety_cen_sp_row * 2 + 1);
            o_input.checked = !o_input.checked;
        }else if( priorytety_cen_sp_row == 0  ){
            //alert('Nie mona wyczyc ceny promocyjnej.');
        }

        return false;
      break;
  } //case

  var o_tr;

  var rows  = o_priorytety_cen_sp_table_rows;
  var o_parent_el =  o_priorytety_cen_sp_table.parentNode;

  o_tr = rows.item(priorytety_cen_sp_row + 1);

  if( o_tr ){
      podswietl_wiersz(o_tr);

      var y = (o_tr.offsetTop + o_tr.scrollHeight);

      if( y > (o_parent_el.scrollTop + o_parent_el.clientHeight) ){

          o_parent_el.scrollTop = ((y - o_parent_el.clientHeight) );
      }else if( o_tr.offsetTop < o_parent_el.scrollTop ){

          o_parent_el.scrollTop = o_tr.offsetTop  ;
      }

  }

  if( stop_propagation ){
      e.cancelBubble = true;
      e.returnValue = false;

      try{
        e.stopPropagation();
        e.preventDefault();
      }catch(err){}

      return false;
  }

  return true;
}

/**************************************************************************************************/
function zk_platnosc_status_onreturn( id, nazwa, changed ){
    var o_form = document.forms['zk_statusy_form'];

    o_form.elements['ZK_PLATNOSC_STATUS'].value = id;
    o_form.elements['ZK_PLATNOSC_STATUS_NAZWA'].value = nazwa;
}

function zk_platnosc_status_onreturn( id, nazwa, changed ){
    var o_form = document.forms['zk_statusy_form'];
    var o_select = o_form.elements['ZK_PLATNOSC_STATUS'];


    if( changed ){ //trzeba zaktualizowac
        statusy_zadan_update_select( o_select, id, o_form.elements['ZK_PLATNOSC_STATUS2'], o_form.elements['ZK_WYSYLKA_STATUS'], o_form.elements['ZK_WYSYLKA_STATUS2'] );
    }else{
        o_select.value = id;
    }
}

function zk_platnosc_status_oncancel( changed ){
    var o_form = document.forms['zk_statusy_form'];

    if( changed ){ //trzeba zaktualizowac
        statusy_zadan_update_select( o_form.elements['ZK_PLATNOSC_STATUS'], 0, o_form.elements['ZK_PLATNOSC_STATUS2'], o_form.elements['ZK_WYSYLKA_STATUS'], o_form.elements['ZK_WYSYLKA_STATUS2'] );
    }
}

/**************************************************************************************************/

function zk_platnosc_op_grupa_onreturn(id, nazwa, changed ){
    var o_form = document.forms['zk_statusy_form'];
    var o_select = o_form.elements['ZK_PLATNOSC_OP_GRUPA'];

    if( changed ){ //trzeba zaktualizowac
        operacje_grupy_update_select( o_select, id, o_form.elements['ZK_WYSYLKA_OP_GRUPA'], zk_operacje_grupy_print );
    }else{
        o_select.value = id;
    }
}

function zk_platnosc_op_grupa_oncancel( changed ){
    var o_form = document.forms['zk_statusy_form'];

    if( changed ){ //trzeba zaktualizowac
        operacje_grupy_update_select( o_form.elements['ZK_PLATNOSC_OP_GRUPA'], 0, o_form.elements['ZK_WYSYLKA_OP_GRUPA'], zk_operacje_grupy_print );
    }
}

/**************************************************************************************************/


function zk_platnosc_status2_onreturn( id, nazwa, changed ){
    var o_form = document.forms['zk_statusy_form'];
    var o_select = o_form.elements['ZK_PLATNOSC_STATUS2'];

    if( changed ){ //trzeba zaktualizowac
        statusy_zadan_update_select( o_select, id, o_form.elements['ZK_PLATNOSC_STATUS'], o_form.elements['ZK_WYSYLKA_STATUS'], o_form.elements['ZK_WYSYLKA_STATUS2']);
    }else{
        o_select.value = id;
    }
}

function zk_platnosc_status2_oncancel( changed ){
    var o_form = document.forms['zk_statusy_form'];

    if( changed ){ //trzeba zaktualizowac
        statusy_zadan_update_select( o_form.elements['ZK_PLATNOSC_STATUS2'], 0, o_form.elements['ZK_PLATNOSC_STATUS2'], o_form.elements['ZK_WYSYLKA_STATUS'], o_form.elements['ZK_WYSYLKA_STATUS2']);
    }
}

/**************************************************************************************************/

function zk_wysylka_status_onreturn( id, nazwa, changed ){
    var o_form = document.forms['zk_statusy_form'];
    var o_select = o_form.elements['ZK_WYSYLKA_STATUS'];

    if( changed ){ //trzeba zaktualizowac
        statusy_zadan_update_select( o_select, id, o_form.elements['ZK_WYSYLKA_STATUS2'], o_form.elements['ZK_PLATNOSC_STATUS'], o_form.elements['ZK_PLATNOSC_STATUS2'] );
    }else{
        o_select.value = id;
    }
}

function zk_wysylka_status_oncancel( changed ){
    var o_form = document.forms['zk_statusy_form'];

    if( changed ){
        statusy_zadan_update_select( o_form.elements['ZK_WYSYLKA_STATUS'], 0, o_form.elements['ZK_WYSYLKA_STATUS2'], o_form.elements['ZK_PLATNOSC_STATUS'], o_form.elements['ZK_PLATNOSC_STATUS2'] );
    }
}

/**************************************************************************************************/

function zk_wysylka_op_grupa_onreturn(id, nazwa, changed){
    var o_form = document.forms['zk_statusy_form'];
    var o_select = o_form.elements['ZK_WYSYLKA_OP_GRUPA'];

    if( changed ){
        operacje_grupy_update_select( o_select, id, o_form.elements['ZK_PLATNOSC_OP_GRUPA'], zk_operacje_grupy_print );
    }else{
        o_select.value = id;
    }
}

function zk_wysylka_op_grupa_oncancel( changed ){
    var o_form = document.forms['zk_st atusy_form'];

    if( changed ){
        operacje_grupy_update_select( o_form.elements['ZK_WYSYLKA_OP_GRUPA'], 0, o_form.elements['ZK_PLATNOSC_OP_GRUPA'], zk_operacje_grupy_print );
    }
}

/**************************************************************************************************/


function zk_wysylka_status2_onreturn( id, nazwa, changed ){
    var o_form = document.forms['zk_statusy_form'];
    var o_select = o_form.elements['ZK_WYSYLKA_STATUS2'];

    if( changed ){
        statusy_zadan_update_select( o_select, id, o_form.elements['ZK_WYSYLKA_STATUS'], o_form.elements['ZK_PLATNOSC_STATUS'], o_form.elements['ZK_PLATNOSC_STATUS2'] );
    }else{
        o_select.value = id;
    }

}

function zk_wysylka_status2_oncancel( id, nazwa, changed ){
    var o_form = document.forms['zk_statusy_form'];

    if( changed ){
        statusy_zadan_update_select( o_form.elements['ZK_WYSYLKA_STATUS2'], id, o_form.elements['ZK_WYSYLKA_STATUS'], o_form.elements['ZK_PLATNOSC_STATUS'], o_form.elements['ZK_PLATNOSC_STATUS2']  );
    }
}

/**************************************************************************************************/

var o_zk_operacje_grupy = null
function zk_operacje_grupy_print( o_grupy_operacji, o_options ){
    if( !o_zk_operacje_grupy ){
        o_zk_operacje_grupy = document.getElementById( 'zk_operacje_grupy_div' );
    }
    var i = 0;
    var o_cheks_list  = o_zk_operacje_grupy.getElementsByTagName('input');
    var zk_grupy_checked = [];

    for( i = 0; i < o_cheks_list.length;  i++ ){
        if( o_cheks_list[i].checked ){
            zk_grupy_checked.push( o_cheks_list[i].value );
        }
    }

    var html = ''; i = 0;
    for( var id in o_grupy_operacji ){
        html += '<div class="' +(( i % 2)?'rowodd':'roweven')+ '" style="padding: 4px 0px 4px 2px;"><input class="checkbox" type="checkbox" id="ZK_OPERACJA_GRUPA' + i + '" name="ZK_OPERACJE_GRUPY[]" value="' + id + '" ' +(( in_array(id, zk_grupy_checked) ) ? 'checked':'')+ '><label for="ZK_OPERACJA_GRUPA' + i + '">' + o_grupy_operacji[id].NAZWA + '</label></div>' +"\n"
        i++;
    }

    o_zk_operacje_grupy.innerHTML = html;
}


/**************************************************************************************************/
var o_rabaty = new Object();
function reg_staly_rabat_id_onchange( o_select ){
    //o_select
    if( !o_select ) return false;

    if( o_select.selectedIndex > 0 ){
        o_select.form.elements['REG_STALY_RABAT'].disabled = true;

        o_select.form.elements['REG_ST_RABAT_ZK_KWOTA'].disabled = o_rabaty[o_select.value]['PROGOWY'];
    }else{
        o_select.form.elements['REG_STALY_RABAT'].disabled = o_select.form.elements['REG_ST_RABAT_ZK_KWOTA'].disabled = false;
    }
}

function b2b_staly_rabat_id_onchange( o_select ){
    //o_select
    if( !o_select ) return false;

    if( o_select.selectedIndex > 0 ){
        o_select.form.elements['B2B_STALY_RABAT'].disabled = true;

        o_select.form.elements['B2B_ST_RABAT_ZK_KWOTA'].disabled = o_rabaty[o_select.value]['PROGOWY'];
    }else{
        o_select.form.elements['B2B_STALY_RABAT'].disabled = o_select.form.elements['B2B_ST_RABAT_ZK_KWOTA'].disabled = false;
    }
}


function allegro_usluga_onreturn( id, nazwa ){
    var o_form = document.forms['allegro_form'];

    o_form.elements['ALLEGRO_USLUGA_ID'].value = id;
    o_form.elements['ALLEGRO_USLUGA_NAZWA'].value = nazwa;
}

function allegro_sygnatura_dodaj_tag( o_el ){
    document.forms['allegro_form'].elements['ALLEGRO_ZK_SYGNATURA'].value += o_el.innerHTML;
}

function allegro_uwagi_dodaj_tag( o_el ){
    document.forms['allegro_form'].elements['ALLEGRO_ZK_UWAGI'].value += o_el.innerHTML;
}

function allegro_zk_nr_nabywcy_dodaj_tag( o_el ){
    document.forms['allegro_form'].elements['ALLEGRO_ZK_NR_NABYWCY'].value += o_el.innerHTML;
}

function cenniki_zaokraglanie_cen_onclick( o_el ){
    if( arguments.length == 0 ){
        o_el = document.forms['cenniki_form'].elements['EC_CENY_ROUND'];
    }

    var o_el2 = o_el.form.elements['EC_CENY_ROUND59'];

    o_el2.disabled = !( o_el.checked );

    if( !o_el.checked ){ o_el2.checked = false; }
}



function magazyny_select_all( o_check ){
    var i = 0;
    var formularz = o_check.form;

    while(typeof(formularz.elements['magazyny['+ i +']']) == 'object'){
        formularz.elements['magazyny['+ i +']'].disabled = formularz.elements['magazyny['+ i +']'].checked  = o_check.checked;
        i++;
    }
}


function b2b_magazyny_select_all( o_check ){
    var i = 0;
    var formularz = o_check.form;

    while(typeof(formularz.elements['b2b_magazyny['+ i +']']) == 'object'){
        formularz.elements['b2b_magazyny['+ i +']'].disabled = formularz.elements['b2b_magazyny['+ i +']'].checked  = o_check.checked;
        i++;
    }
}


var o_ec_waluty_ceny = o_ec_waluty_tabele = null;
function ec_waluty_onchange( o_select ){

    if( !o_ec_waluty_ceny ){
        o_ec_waluty_ceny  = document.getElementById('ec_waluty_ceny');
        o_ec_waluty_tabele  = document.getElementById('ec_waluty_tabele');
    }


    hide_obj(o_ec_waluty_tabele);
    hide_obj(o_ec_waluty_ceny);

    if( o_select.value == 'c' ){
        show_obj(o_ec_waluty_ceny);
    }else if (o_select.value == 't'){
        show_obj(o_ec_waluty_tabele);
    }

}


var o_ceny = new Object();
function ec_cena_onchange( o_select ){
    var o_form = o_select.form;

    if( o_form.elements['EC_WALUTY'] != "" ){
        if( o_select.selectedIndex > 0 && typeof(o_ceny[o_select.value]) == 'object' ){
            var waluta = o_ceny[o_select.value]['WALUTA'];

            select_option(o_form.elements['EC_WALUTY_CENY[' + waluta + ']'], o_select.value);
        }else{
            alert('Wybierz cene!');
        }
    }
}
