// JavaScript Document
function show_feedback_form(step){
  var is_beginner = 0;

  if( document.feedback_type == 'pos'){
      var is_positive = 1;
  }else{
      var is_positive = 0;
  }

  var section_2 = document.getElementById('section_2');
  var section_3 = document.getElementById('section_3');
  var section_4 = document.getElementById('section_4');
  var make_feedback = document.getElementById('make_feedback');

  if( step > 0 ){
    if(step==2 && (is_positive==1 || is_beginner==0))
      step = 3;

    submit_button = document.forms['feedback_form'].elements['submit_button'];

    if(is_beginner == 1 && step>1 && is_positive==0){
        section_2.style.display = '';
    }else{
        section_2.style.display = 'none';
    }

    if( step == 3){
      submit_button.disabled = false;
      submit_button.style.display = '';
      make_feedback.style.display = 'none';
      section_4.style.display = '';
      if(is_positive==1)
        section_3.style.display = 'none';
      else
        section_3.style.display = '';
    }else{
      submit_button.disabled = true;
      submit_button.style.display = 'none';
      make_feedback.style.display = '';
      section_3.style.display = 'none';
      section_4.style.display = 'none';
    }
  }else{
      if(step==0 && is_beginner==1 && is_positive==0){
        form = document.forms['feedback_form'];
        form.elements['resignation'].value = '1';
        form.submit();
      }
  }
}
/*
Ajax.Responders.register({
  onCreate: function(){
    console.log('a request has been initialized!');
  },
  onComplete: function(){
    console.log('a request completed');
  },
 onUninitialized: function(){
    console.log('a request completed');
  },
 onLoading: function(){
    console.log('onUninitialized('+arguments.length+')');
  },
 onLoaded: function(){
    console.log('onLoaded('+arguments.length+')');
  },
 onInteractive: function(){
    console.log('onInteractive('+arguments.length+')');
  },
 onComplete: function(){
    console.log('onComplete('+arguments.length+')');
  },
 onException: function(){
    console.log('onException('+arguments.length+')');
  }
});
*/

var feedbacks = null;
function load_replay_feedbacks( feedback_type ){
    var form = document.forms['feedbacks_form'];
    var pattern = new RegExp( "^fb_items\\[(\\d+)?\\]$");
    var items_list = "";
    
    for( var i = 0; i < form.length; i++ ){
        if( form[i].name.match(pattern) ){
            items_list += form[i].value + ',';
        }
    }
    var params = new Object();
    params.action = action;
    params.mode = mode;
    params.type = feedback_type;
    params.replay = 'true';
    params.items_list = items_list.substring( 0, items_list.length - 1);
    
    new Ajax.Request(
      SELF_URL,
      {
        method: 'get',
        parameters: params,
        onSuccess: function( transport, json ){
              //console.log('onSuccess('+arguments.length+')');
              //console.log( transport );
              feedbacks_parse_response( transport.responseText, feedback_type );
        },
        
        onFailure: function(){ alert('Something went wrong...') }
      });
}


function feedbacks_parse_response( o_txt, fb_type ){
    eval(o_txt);

    console.log(feedbacks);
    
    if( fb_type.substring(0, 1) == 'r' ){
        var form = document.forms['feedbacks_form'];
        var pattern = new RegExp( "^fb_queue\\[(\\d+)?\\]$");
        var tmp = [], user_id, item_id;

        for( var i = 0; i < form.length; i++ ){
            if( form[i].name.match(pattern) ){
                tmp = form[i].value.split("#");
                item_id = tmp[0]; user_id = tmp[1];
                form[i].disabled = ( typeof(feedbacks[user_id]) != 'undefined' && typeof(feedbacks[user_id][item_id]) != 'undefined' );
            }
        }
    }
}

function show_feedback(user_id, item_id, feedback_type ){
	if( typeof(feedbacks) != 'object' ){
		  load_replay_feedbacks(feedback_type);
	}

  console.log('user_id: '+user_id+' item_id: ' + item_id );
  
	var info_index = "info_" + user_id + "_" + item_id;
	var fe_desc_index = "fe_desc_" + user_id + "_" + item_id;
	var o_div = document.getElementById(fe_desc_index);

  if( !o_div ){
      return;
  }
  
	if( o_div.innerHTML.length == 0 ){
		var feed = "";

		try {
  			fe_description   = feedbacks[user_id][item_id]['desc'];
  			fe_receiver_type = feedbacks[user_id][item_id]['type_short'];
  			fe_date = feedbacks[user_id][item_id]['date'];

        fe_type = '';

  			switch( fe_receiver_type ){
  					case 'pos':
  					   fe_type = '<span class="pos">Pozytywny</span>';
  					break;

  					case 'neu':
                fe_type = '<span class="neu">Neutralny</span>';
  					break;

  					case 'neg':
  						  fe_type = '<span class="neg">Negatywny</span>';
  					break;
  			}
        
  			o_div.innerHTML = fe_description + '<br />' + fe_type + ', <span style=\"color: #999\">' + fe_date + '</span>';
		}catch(e){
  			o_div.style.borderLeft = "0";
  			o_div.style.paddingLeft = "0";
  			o_div.innerHTML = "<font class=\"smaller italic\">Brak komentarza</font>";
		}

    o_div.style.display = "block";
    
		document.getElementById(info_index).innerHTML = "Ukryj";
	}else if( o_div.clientHeight > 0 ){
		  o_div.style.display = "none";
		  document.getElementById(info_index).innerHTML = "Poka";
  }else{
		  o_div.style.display = "block";
		  document.getElementById(info_index).innerHTML = "Ukryj";
	}
}
