var o_cenniki_ajax = createXmlHttpRequestObject();
var s_form_name = 'ceneo_form';
var ACTION_CENNIKI = 0;
var multi = '';
var cennik_num = -1;
var cenniki_length = 0;
var cennik_ondelete = null;

function cenniki_wybierz( multi ){
    var url = ADMIN_URL + '?action=' + ACTION_CENNIKI + '&multi=' + multi + '&win=1';

    otworz_okno( url, 'cenniki' );
}

function cenniki_checkbox_onclick( o_check ){

    var url = ADMIN_URL + '?action=' + ACTION_CENNIKI + '&mode=' + MODE_AJAX + '&cennik_id=' + o_check.value + '&multi=' + multi;

    if( o_check.checked ){
        url += '&check=1';
    }else{
        url += '&check=0';
    }

    server_connect( o_cenniki_ajax, url );
}

function cennik_delete( typ, cennik_id ){

    var url = ADMIN_URL + '?action=' + ACTION_CENNIKI + '&mode=' + MODE_AJAX + '&cennik_id=' + cennik_id + '&multi=' + typ + '&check=0';


    server_connect( o_cenniki_ajax, url, cennik_delete_response);

}

function cennik_delete_response( o_txt ){
    if( o_txt == 'OK' ){

    }
}


function cenniki_onreturn(){
    if( arguments.length == 0 ){
        onreturn = multi + '_cenniki_onreturn';
    }else{
        onreturn = arguments[0] + '_cenniki_onreturn';
    }

    if( onreturn ){
        if( opener.closed ){
            alert('Okno docelowe zostao zamknite i nie mona zwrci danych dla okna macierzystego!');
            window.close();
            return;
        }
        if( typeof(opener[onreturn]) != 'function' ){
            alert('W oknie docelowym nie zostaa znaleziona funkcja: ' + onreturn + '. By moe okno macierzyste zostao przeadowane lub zmieniono lokalizacj.' );
            opener.focus();
            window.close();
            return;
        }

        try{
            opener[onreturn]();
        }catch(o_error){
            alert('Nie mona byo zwri zmiany. Wystapi nastepujcy bd: \n' + o_error.toString() );
        }

        opener.focus();
        window.close();
    }else{
        window.location = SELF_URL + '?action=' + action + '&mode=' + MODE_EDIT + '&ID=' + id;
    }
}


function cenniki_anuluj(){
    opener.focus();
    window.close();
}

var f_after_cenniki_response = null;
function cenniki_load( typ, fun ){
    if( arguments.length == 0 ){
        typ = multi;
    }

    if( arguments.length == 2 ){
        f_after_cenniki_response = fun;
    }

    server_connect( o_cenniki_ajax, ADMIN_URL + '?action=' + ACTION_CENNIKI + '&mode='+ MODE_AJAX + '&load=' + typ, cenniki_response );
}

function cenniki_response( o_xml, o_txt ){

    if( arguments.length < 2 ){
        alert('Bdna odpowied serwera. Sprbuj ponownie wybrac cenniki.');
        return false;
    }

    var o_cenniki_xml = o_xml.getElementsByTagName('cennik');
    var o_cennik_xml  = new Object();
    var o_cennik      = new Object();

    //zeruje alarmy
    var cenniki  = new Array();

    /* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
    var atrybut, key, value, i, j;

    for( i = 0; i < o_cenniki_xml.length; i++){
        o_cennik_xml = o_cenniki_xml.item(i);

        o_cennik = new Object();

        for( j = 0; j < o_cennik_xml.attributes.length; j++){
            atrybut = o_cennik_xml.attributes.item(j);
            o_cennik[atrybut.name] = atrybut.value;
        }

        cenniki.push(o_cennik);
    }

    if( typeof(f_after_cenniki_response) == 'function' ){
        f_after_cenniki_response(cenniki);

        f_after_cenniki_response= null;
    }
}

var o_cenniki_div = null;
function cenniki_print( cenniki, o_div ){

    if( !o_div ){
        o_div = document.getElementById('cenniki_div');
    }

    o_cenniki_div = o_div;

    var i = 0;

    var str = '';
    str = '<table width=100% align="center" cellpadding=2 cellspacing=0 class="grid" id="cenniki_tab_grid">';
    str += '<tr>';
    str += '  <th align=center width=100>#</th>';
    str += '  <th align=center >Nazwa cennika</th>';
    str += '  <th align=center >Sygnatura</th>';
    str += '  <th align=center >Znaczniki</th>';
    str += '</tr>';

    for( i= 0; i < cenniki.length; i++ ){
        str += '<tr onclick="podswietl_wiersz(this); cennik_num = ' + i + '; " class="wiersz' + ( (i%2) + 1 ) + ((cennik_num == i)?' highlight':'')+'">';
        str += '    <td align=center width=100>' +( i + 1 )+ '. <input type="hidden" name="cenniki['+i+']" value="' + cenniki[i]['ID'] + '" ></td>';
        str += '    <td >' + cenniki[i].NAZWA_CENNIKA + '</td>';
        str += '    <td >' + cenniki[i].SYGNATURA + '</td>';
        str += '    <td >' + cenniki[i].ZNACZNIKI + '</td>';
        str += '</td></tr>';
    }
    str += '</table>\n';

    o_div.innerHTML = str;

    cenniki_length = cenniki.length;

    cenniki_onclick_add_event();

}

var b_cenniki_onclick_added = false;
function cenniki_onclick_add_event(){

    if(!b_cenniki_onclick_added){
        b_cenniki_onclick_added = true;
        add_event( 'click', document, cenniki_onclick, true );
    }
}


var b_cenniki_onkeydown_added = false;
function cenniki_onkeydown_add_event(){

    if(!b_cenniki_onkeydown_added){
        b_cenniki_onkeydown_added = true;
        add_event( 'keydown', document, cenniki_onkeydown, true );
    }
}

function cenniki_onkeydown_remove_event(){

    if( b_cenniki_onkeydown_added ){
        b_cenniki_onkeydown_added = false;
        remove_event( 'keydown', document );
    }
}

function cenniki_onclick( e ){

    e = (!e) ? window.event : e;

    // pobiera adresata zdarzenia
    var target = (!e.target) ? e.srcElement : e.target;

    if( target.nodeType == 3 ) target = target.parentNode;


    var o_obj = target;
    var znaleziono = false;
    while( o_obj && !znaleziono ){
        if( o_obj.id && o_obj.id == o_cenniki_div.id ){
            znaleziono = true;
        }

        o_obj = o_obj.parentNode;

    }

    if( !znaleziono ){
        cenniki_onkeydown_remove_event();
    }else{
        cenniki_onkeydown_add_event();
    }

}

function cenniki_onkeydown( e ){
  // pobiera zdarzenie
  e = (!e) ? window.event : e;

  // pobiera adresata zdarzenia
  var target = (!e.target) ? e.srcElement : e.target;

  if (target.nodeType == 3) target = target.parentNode;

  // pobiera kod znaku nacinitego klawisza
  var code = (e.charCode) ? e.charCode :((e.keyCode) ? e.keyCode :((e.which) ? e.which : 0));

  var old_num = 0;

  var stop_propagation = false;

  var rows = o_cenniki_div.getElementsByTagName('TR');

  var max = rows.length - 1

  switch( code ){
      case 13: // enter
          //show_cennik_form( 'edit', cennik_num );

          return true;
      break;

      case 46: // delete
          //tparam_delete();
          if( (cennik_num >=0) && (cennik_num < max) && (typeof(cennik_ondelete) == 'function') ){
              if( confirm('Jeste pewien, e chcesz usun cennik? ') ){
                  cennik_ondelete( cennik_num );
              }
          }

          return true;
      break;


      // po naciniciu strzaki w d przechodzi do kolejnej podpowiedzi
      case 40:
        stop_propagation = true;

        if( cennik_num < max - 1 ){
            old_num = cennik_num++;
        }else{
            old_num = cennik_num;
            cennik_num = 0;
        }
      break;

      // nacinicie strzaki w g przenosi nas do poprzedniej podpowiedzi
      case 38:
        stop_propagation = true;

        // zaznacza now podpowied i aktualizuje sowo kluczowe
        if(cennik_num > 0){
            old_num = cennik_num--;
        }else if(cennik_num == 0){
            old_num = cennik_num;
            cennik_num = max - 1 ;
        }
      break;


      //klawisz End
      case 35:
          stop_propagation = true;

          old_num = cennik_num;
          cennik_num = max - 1;
      break;

      //klawisz Home
      case 36:
          stop_propagation = true;

          old_num = cennik_num;
          cennik_num = 0;
      break;

  } //case

  var o_tr;

  o_tr = rows.item(cennik_num+1);

  if( o_tr ){
      podswietl_wiersz(o_tr);

      var y = (o_tr.offsetTop + o_tr.scrollHeight);

      if( y > (o_cenniki_div.scrollTop + o_cenniki_div.clientHeight) ){

          o_cenniki_div.scrollTop = ((y - o_cenniki_div.clientHeight) );
      }else if( o_tr.offsetTop < o_cenniki_div.scrollTop ){

          o_cenniki_div.scrollTop = o_tr.offsetTop  ;
      }
  }

  if( stop_propagation ){
      e.cancelBubble = true;
      e.returnValue = false;

      try{
        e.stopPropagation();
        e.preventDefault();
      }catch(err){}

      return false;
  }

  return true;
}


/**************************************************************************************************/

(function($){
    var $dialog;
    var $ajaxLoader;

    //aktualne wybrane cenniki
    var items = [];
    var records = {};
    var $element;

 /*************************************************************************************************/

    var ajaxOptions = {
        'dataType' :  'html',

        'success' : function(data){
            _hideAjaxLoading();

            $dialog.html(data).css({
                'opacity' : 1
            });

            _setup($dialog);
        },

        'error' : function(){
            //hideLoading();
            //print_message( 'Przez serwer zostaa zwrcona nieprawidowa odpowied' );
            console.log( 'Przez serwer zostaa zwrcona nieprawidowa odpowied' );
        },

        'beforeSend' :  function() {
            _showAjaxLoading($dialog);

            $dialog.css({
                'opacity' : 0.6
            });
        }
    }

    function isEmpty(obj) {
        if( typeof(obj) === 'object' ) {
            for(var prop in obj) {
                if(obj.hasOwnProperty(prop))
                    return false;
            }
        }

        return true;
    }

/*************************************************************************************************/

    function _showAjaxLoading ( obj ) {
        if ( !$ajaxLoader || !$ajaxLoader.length ) {
            $ajaxLoader = $('#ajaxLoader');

            if ( $ajaxLoader.length === 0 ) {
                $('body').append(
                    $ajaxLoader = $('<div style="position: absolute" class="loader"></div>').hide()
                );
            }
        }

        var opts = {
            'at' : 'center',
            'my' : 'center'
        };

        if ( obj ) {
            opts.of = obj;
        }

        $ajaxLoader.show();
        $ajaxLoader.position(opts);
    }

    function _hideAjaxLoading ( ) {
        if ( $ajaxLoader && $ajaxLoader.length ) {
            $ajaxLoader.hide();
        }
    }

    /**
     * Generowanie html'u i przypicie go do selektora
     */
    function appendHTML($el, options ){
        if ( $dialog ){
            return;
        }


        $dialog = $('<div>');
        $dialog.css({ 'display' : 'none' }).appendTo('body');

        $dialog.dialog({
            autoOpen: false,
            modal:true,
            width: 800,
            height: 600,
            closeOnEscape: true,
            resizable: false,
            title : options.title,
            buttons: {
                'Anuluj' : function(){
                    $(this).dialog('close');
                },

                'OK' : dialogOkHandler
            }
        });
    }




    /**
     * Rabat progi on click
     */
    function onClickHandler( e ){
        e.preventDefault();
        var $this = $(this);
        $element = $this;

        var options = $this.data('cennikiBrowser.items');
        items = options.items;
        records = options.records;

        $dialog.dialog('option', {
            'title' : options.title
        });

        if ( $dialog.html() === '' ) {
            _showAjaxLoading();

            $dialog.load( $this.attr('href'), function(){
                _setup($dialog);

                _hideAjaxLoading();

                $dialog.dialog('open');
            });

            return false;
        }

        //robie tylko zaznaczenie
        _select_items($dialog);

        $dialog.dialog('open');

        return false;
    }

    function dialogOkHandler ( ) {
        var options = $element.data('cennikiBrowser');

        options.items = items;
        options.records = records;

        $element.data('cennikiBrowser', options);
        $element.triggerHandler('cennikiChangeRecords');

        records = {}; items = [];

        $dialog.dialog('close');
    }

    function onSelectHandler(){
        var checked = false, data = null;

        if ( arguments.length > 1  ) {
            //jest odpalne przez trigger i wykona sie wczesniej ni
            checked = !this.checked;
        } else{
            checked = this.checked;
        }


        var id = parseInt(this.value), record_index = -1;

        //console.log('clicked ' + this.id + '= ' + id + ', checked: '+checked);
        if ( id > 0 ) {
            if ( checked ) {
                items.qpush(id);

                var o = $element.data('cennikiBrowser');
                if ( o && o.metadata ) {
                    data  = $(this).parents('tr').metadata(o.metadata);
                    data.id = id;
                    records[id] = data;
                } else {
                    records[id] = $(this).attr('title');
                }
            } else {
                record_index = items.binarySearch(id);

                if ( record_index != -1 ) {
                    items.splice(record_index, 1);

                    if ( records && typeof(records[id]) !== 'undefined' ){
                        delete records[id];
                    }
                }
                //console.log('Usuwam: ' + id + ', index: ' + record_index + ', length: ' + items.length );
            }
        }

        //console.log(items);
    }

    function _select_items( $target, bindHandler ){
        var opts = $element.data('cennikiBrowser');

        var $checkboxes = $target.find("input[name^='"+opts.checkboxName+"']").filter('[type=checkbox]');
        $checkboxes.each(function(){
            if ( items.binarySearch(this.value) !== -1 ) {
                this.checked = true;
            } else {
                this.checked = false;
            }
        });

        if ( bindHandler ) {
            $checkboxes.click(onSelectHandler);
        }
    }

    function _setup( $target ){
        var $strona = $target.find("#strona_input").unbind('blur').unbind('change').focus(function(){
            $(this).data('value', this.value);
        }).blur(function(){
            if ( this.value && this.value != $(this).data('value') ){
                $(this.form).submit();
            }
        });

        var $na_stronie = $target.find("input[name=na_stronie]").filter('[type=text]').unbind('blur').unbind('change').focus(function(){
            $(this).data('value', this.value);
        }).blur(function(){
            if ( this.value && this.value != $(this).data('value') ){
                $(this.form).submit();
            }
        });

        $target.find('.submit-btn').click(function(e){
            e.preventDefault();

            $(this).closest('form').submit();

            return false;
        });

/**************************************************************************************************/

        if ( $strona.length > 0 && $strona[0] ) {
            $strona[0].onblur = function(){};
            $strona[0].onchange = function(){};
        }

        if ( $na_stronie.length > 0 && $na_stronie[0] ) {
            $na_stronie[0].onblur = function(){};
            $na_stronie[0].onchange = function(){};
        }

        $target.find("form").submit(function(){
            $(this).ajaxSubmit(ajaxOptions);

            return false;
        });

        $target.find(".pagination a, th a").click(function( e ){
            e.preventDefault();
            $.ajax( $.extend( {'url' : $(this).attr('href') }, ajaxOptions) );
            return false;
        });

        _select_items($target, true);

//        $target.find("input.changeSelection").click(function(){
//            var checked = this.checked;
//
//            $('input[name^=selected]', this.form).each(function(){
//                this.checked = checked;
//                $(this).triggerHandler('click');
//            });
//        });
    }

    if ( $.fn.cennikiBrowser ) {
        return;
    }

    $.fn.cennikiBrowser = function( options ){
        var $this = $(this);

        if ( $this.data('cennikiBrowser') ) {
            //juz dla tego obieku dokonano przypieto akcje
            if ( typeof(options) == 'string' ) {
                var opts = $this.data('cennikiBrowser');
                var triggerHandler = null;

                if ( options === 'setItems' ) {
                    opts.items = arguments[1];
                    triggerHandler = 'cennikiChangeItems';
                } else if ( options === 'setRecords' ) {
                    opts.records = arguments[1];
                    triggerHandler = 'cennikiChangeRecords';
                }

                if ( triggerHandler ) {
                    $this.data('cennikiBrowser', opts);
                    $this.triggerHandler(triggerHandler);
                }
            }

            return;
        }

        /**
         * Opcje pluginu (Komunikaty i cieki url do akcji)
         */
        options = $.extend({
            items : [],
            metadata : null,
            records : new Object(),
            name  : $(this).attr('id'),
            target : $(this).attr('rel'),
            title : 'Wybierz cenniki',
            checkboxName : 'cennik[',
            inputName : 'cenniki'
        }, options || {} );

        if ( options.target && options.target.substr(0, 1) != '#' ){
            options.target = '#' + options.target;
        }

        this.bind('cennikiChangeItems', function(){
            var $this = $(this);
            var opts = $this.data('cennikiBrowser');

            opts.records = new Object();
            if ( typeof(opts.items) === 'string' ) {
                opts.items = opts.items.split(',');
            }

            if ( opts.items && opts.items.length > 0 ) {
                $.ajax({
                    url : this.href,
                    type  : 'POST',
                    data : {
                        cenniki : opts.items,
                        mode : MODE_AJAX
                    },

                    success : function(cenniki){
                        if ( typeof(cenniki) === 'string' ) {
                            try{
                                cenniki = eval('(' + cenniki +  ')');
                            }catch( err ) {
                                cenniki = new Object();
                                console.log(err);
                            }
                        }

                        if ( typeof(cenniki) !== 'object'  ){
                            cenniki = new Object();
                        }

                        var data = $this.data('cennikiBrowser');
                        data.records = cenniki;

                        $this.data('cennikiBrowser', data);
                    },

                    complete : function(){
                        $this.triggerHandler('cennikiChangeRecords');
                    }
                });
            } else {
                opts.items = [];
                $this.data ('cennikiBrowser', opts);
                $this.triggerHandler('cennikiChangeRecords');
            }
        });

        this.bind('cennikiChangeRecords', function(){
            var opts = $(this).data('cennikiBrowser');

            opts.items = [];
            var html = '', i = 0;
            if ( !isEmpty(opts.records) ) {
                //console.log(opts.records);

                for ( var o in opts.records ) {
                    if( typeof(opts.records[o]) != 'function' ) {
                        opts.items.qpush(o);

                        html += (i++ > 0 ? ', ' : '') + '<span id="'+opts.name+'Cennik'+o+'">' + opts.records[o] + '</span>';
                    }
                }
            }

            if ( !html ) html = '&nbsp;';

            $(opts.target).html( html );
            $('input[name='+opts.inputName+']', $(this).parents('form:first')).val(opts.items.join(','));

            //console.log(opts.items);
            //console.log(opts.records);

            $(this).data ('cennikiBrowser', opts);
        });

        this.data ('cennikiBrowser', options);

        if ( !isEmpty(options.records) ) {
            this.triggerHandler('cennikiChangeRecords');
        } else if ( options.items ) {
            this.triggerHandler('cennikiChangeItems');
        }

        appendHTML( $this, options );

        this.button({
            'text' : false,
            'icons' : {
                'primary' : 'ui-icon-search'
            }
        }).click( onClickHandler );
    }
})(jQuery);

