{include file="header.tpl"}

<h2>Szanowny kliencie,</h2>

<p>Dzikujemy za zoenie zamwienia w internetowym systemie zamwie firmy {$FIRMA_SHORT_NAME}</p>

<p>
Informacje o zoonym zamwieniu:<br>

Numer zamwienia: <b> {$zamowienie->NUMER} </b><br>
Data zamwienia: {$zamowienie->DATA_WYSTAWIENIA}<br>

Sposb patnoci: {$zamowienie->NAZWA_SPOSOBU_PLATNOSCI}<br>
{$zamowienie->platnosc_info}

Sposb dostawy: {$zamowienie->NAZWA_SPOSOBU_DOSTAWY}<br>
</p>

<p>Zamwione pozycje:</p>
<table width=100% align=center cellpadding=1 cellspacing=1>

  <tr valign='middle' >
		<th width="5%" align='left'	rowspan=2 class="basket">Lp.</th>
		<th width="55%" align='center'	rowspan=2 class="basket">Nazwa </th>
		<th width="4%" align='center' rowspan=2 class="basket">Ilo </th>
		<th width="18%" align='center' colspan=2 class="basket">Cena</th>
		<th width="18%" align='center' colspan=2 class="basket">Warto</th>
	</tr>

  <tr >
		<th width="9%" align='center' class="basket">Netto</th>
		<th width="9%" align='center' class="basket">Brutto</th>
		<th width="9%" align='center' class="basket">Netto</th>
		<th width="9%" align='center' class="basket">Brutto</th>
	</tr>
{section name=k loop=$koszyk_poz}
  <tr class=nvplain >
    <td align=right>{$smarty.section.k.iteration}.&nbsp;</td>
    <td width="55%" align='left'>
      <a href="{$MAIN_URL}/action_towar/mode_show/ID_{$koszyk_poz[k].ID}">{$koszyk_poz[k].NAZWA}</a>
      <div>{$koszyk_poz[k].CECHY}</div>
    </td>
    <td width="4%" align='center' class='plhi'>{$koszyk_poz[k].ILOSC}</td>
    <td width="9%" align='right'>{$koszyk_poz[k].CENA|currency_format}</td>
    <td width="9%" align='right' class=plhi>{$koszyk_poz[k].CENA_BRUTTO|currency_format}</td>
    <td width="9%" align='right'>{$koszyk_poz[k].WARTOSC_NETTO|currency_format}</td>
    <td width="9%" align='right' class=plhi>{$koszyk_poz[k].WARTOSC_BRUTTO|currency_format}</td>
  </tr>
{/section}
  <tr >
    <td align='right' colspan=5><b> Razem : </b></td>
    <td align='right' ><b>{$suma_netto|currency_format}</b></td>
    <td align='right' ><b>{$suma_brutto|currency_format}</b></td>
  </tr>

{if $rabat_kwota_netto > 0}
  <tr >
    <td align='right' colspan=5><b> - rabat: </b></td>
    <td align='right' ><b>{$rabat_kwota_netto|currency_format}</b></td>
    <td align='right' ><b>{$rabat_kwota_brutto|currency_format}</b></td>
  </tr>
{/if}

  <tr id="koszty_przesylki_row">
    <td align='right' colspan=5><b> + Koszty przesyki: </b></td>
    <td align='right' ><b>{$koszt_przesylki_netto|currency_format}</b></td>
    <td align='right' ><b>{$koszt_przesylki_brutto|currency_format}</b></td>
  </tr>

  <tr class=nvplain id="do_zaplaty_row">
    <td align='right' colspan=5><b> Do zapaty: </b></td>
    <td align='right'><b>{$do_zaplaty_netto|currency_format}</b></td>
    <td align='right'><b>{$do_zaplaty_brutto|currency_format}</b></td>
  </tr>
</table>

{******************************************************************************}

<p>
<b>Dane zamawiajcego:</b> <br>
  {$zamowienie->NAZWA_SKROCONA_ODBIORCY}<br>
  {$zamowienie->KOD_ODBIORCY} {$zamowienie->MIEJSCOWOSC_ODBIORCY}<br>
  {$zamowienie->ADRES_ODBIORCY}<br>
</p>

{******************************************************************************}

{if $zamowienie->faktura == 1}
<p>
    <b>Dane dotyczce wystawienia faktury:</b> <br>
{*
    {$zamowienie->NAZWA_SKROCONA_PLATNIKA}<br>
    {$zamowienie->KOD_PLATNIKA} {$zamowienie->MIEJSCOWOSC_PLATNIKA}<br>
    {$zamowienie->ADRES_PLATNIKA}<br>
*}

    {$zamowienie->FV_DANE|nl2br}
</p>
{/if}

{******************************************************************************}

{if $zamowienie->ADRES_DOSTAWY}
<p>
    <b>Dane wyski/kontaktowe:</b><br>
    {if $zamowienie->ID_ODBIORCY != SPRZEDAZ_DETALICZNA}
        {$zamowienie->NAZWA_SKROCONA_ODBIORCY}<br>
    {/if}
    {$zamowienie->ADRES_DOSTAWY_STR|nl2br}<br>
</p>
{/if}

{******************************************************************************}
{if !empty($zamowienie->UWAGI_KLIENTA)}
<p>
    <b>Uwagi do zamwienia:</b><br>
    {$zamowienie->UWAGI_KLIENTA|nl2br}<br>
</p>
{/if}

{******************************************************************************}

<p>W przypadku pyta zwizanych z zamwieniem prosimy o kontakt e-mail na adres
<a href="mailto: {$FIRMA_EMAIL}">{$FIRMA_EMAIL}</a>, powoujc si na numer zamwienia: <b>{$zamowienie->NUMER}</b>.</p>

<p>Dzia zamwie internetowych:<br>
    tel: {$FIRMA_TEL},<br>
    <a href="{$HTTP_HOST}{$MAIN_URL}">{$HTTP_HOST}{$MAIN_URL}</a>, <br></p>
    
<div style="text-align:center">
    {*Smarty nie bardzo sobie radzi z zbyt skomplikowanymi zmiennymi przekazywanymi do funkcji,
      rwniez nie trawi nawiasw klamrowych { oraz } w wywoaniu funkcji jesli wystepuje w cudzyslowie*}
    {assign var="zID" value=$zamowienie->ID}
    {make_btn napis=" Wr do katalogu " adres="$MAIN_URL?action=towar&mode=list" style="width: 120px; float: right;"}
    {if $logged}
        {make_btn napis="Zobacz zamwienie" adres="$MAIN_URL?action=zk&amp;mode=disp&amp;ID=$zID" style="width: 125px; float: right" }
    {/if}
</div>

{include file="footer.tpl"}
