{if empty($ajax)}
{include file="header.tpl"}
{include file="`$tpl_prefix`Menu.tpl"}

{calendar_scripts}

<link rel="stylesheet" href="{$SCRIPT_URL}/jquery/pnotify/jquery.pnotify.default.css" type="text/css">
<link rel="stylesheet" href="{$SCRIPT_URL}/jquery/pnotify/jquery.pnotify.default.icons.css" type="text/css">
<link rel="stylesheet" href="{$SCRIPT_URL}/jquery/context-menu/jquery.contextMenu.css" type="text/css">
{link js="search,jquery/jquery.form,json2,EcSelection,EcProgress,jquery/pnotify/jquery.pnotify.min,jquery/validate/jquery.validate,jquery/validate/additional-methods,jquery/validate/jquery.validate-pl,jquery/context-menu/jquery.contextMenu,jquery/jquery.metadata,jquery/jquery.tooltip,admin/deltacity"  path="$URL_PATH"}

{if empty($deltacity.api)}
    <div id="deltacityApiError" class="message_error">Skonfiguruj poczenie z webserwisem Delta City, aby mc nadawa paczki.</div>
{/if}

<div id="deltacityWebApi">
    Konfiguracja WebApi: <b id="deltacityApiNazwa">{$deltacity.api.nazwa|default:"Brak"}</b> <a href="#" id="deltacityApiConfigBtn">Ustaw/Zmie</a>
</div>

<div id="deltacityContent">
  <div style="float:right; text-align: right; width: 500px;">
      Wywietl:
      {if $mode == 'sp' || $mode == 'fs' || $mode == 'pa' || $mode == 'wz'}
            <a href="{$SELF_URL}?action={$action}">Zamwienia</a>
      {else}
            <b>Zamwienia </b>
      {/if} |

      {if $mode == 'sp' || $mode == 'fs' || $mode == 'pa'}
            <b>Paragony/Faktury</b>
      {else}
            <a href="{$SELF_URL}?action={$action}&amp;mode=sp">Paragony/Faktury</a>
      {/if} |

      {if $mode == 'wz'}
          <b>Dokumenty WZ</b>
      {else}
          <a href="{$SELF_URL}?action={$action}&amp;mode=wz">Dokumenty WZ</a>
      {/if}

      {*<a href="{$SELF_URL}?action={$action}&amp;mode=paczki">Przesyki</a>*}
  </div>

  {include file="searchFormButton.tpl"}
  {if $mode == 'wz'}
      {include file="deltacity/wzSearch.tpl"}
  {elseif $mode == 'sp' || $mode == 'fs' || $mode == 'pa'}
      {include file="deltacity/spSearch.tpl"}
  {else}
      {include file="deltacity/zkSearch.tpl"}
  {/if}

<div id="docsList">
{/if}

  {if $mode == 'wz'}
      {include file="deltacity/wzList.tpl"}
  {elseif $mode == 'sp' || $mode == 'fs' || $mode == 'pa'}
      {include file="deltacity/spList.tpl"}
  {else}
      {include file="deltacity/zkList.tpl"}
  {/if}

<script type="text/javascript">
    DeltaCity.docs = {json var=$docs};
</script>

{if empty($ajax)}
</div>

<div class=btns>
  {if $mode == 'wz'}
    {make_btn napis="Szablon" adres="#" id="deltacityPrzesylkaSzablonButton" title="Przygotowanie szablonu przesyki"}
    {make_btn napis="Przesyki" adres="#" id="deltacityNadajPrzesylki" title="Stworzenie przesyek dla wybranych dokumentw WZ"}
    {make_btn napis="Drukuj" adres="`$SELF_URL`?action=`$action`&amp;mode=wydruk" id="deltacityDrukujPrzesylki" title="Drukuj listy przewozowe dla wybranych dokumentw WZ"}
    {make_btn napis="Etykiety" adres="`$SELF_URL`?action=`$action`&amp;mode=etykiety" id="deltacityEtykietyPrzesylki" title="Drukuj etykiety dla wybranych dokumentw WZ"}
    {make_btn napis="Dokument Wydania" adres="#" id="deltacityUtworzDokumentWydania" title="Wygenerownaie dokuemntu wydania dla zaznaczonych dokumentw WZ"}
  {elseif $mode == 'sp' || $mode == 'fs' || $mode == 'pa'}
    {make_btn napis="Szablon" adres="#" id="deltacityPrzesylkaSzablonButton" title="Przygotowanie szablonu przesyki"}
    {make_btn napis="Przesyki" adres="#" id="deltacityNadajPrzesylki" title="Stworzenie przesyek dla wybranych faktur/paragonw"}
    {make_btn napis="Drukuj" adres="`$SELF_URL`?action=`$action`&amp;mode=wydruk" id="deltacityDrukujPrzesylki" title="Drukuj listy przewozowe dla wybranych faktur/paragonw"}
    {make_btn napis="Etykiety" adres="`$SELF_URL`?action=`$action`&amp;mode=etykiety" id="deltacityEtykietyPrzesylki" title="Drukuj etykiety dla wybranych faktur/paragonw"}
    {make_btn napis="Dokument Wydania" adres="#" id="deltacityUtworzDokumentWydania" title="Wygenerownaie dokuemntu wydania dla zaznaczonych faktur/paragonw"}
  {else}
    {make_btn napis="Szablon" adres="#" id="deltacityPrzesylkaSzablonButton" title="Przygotowanie szablonu przesyki"}
    {make_btn napis="Przesyki" adres="#" id="deltacityNadajPrzesylki" title="Stworzenie przesyek dla wybranych zamwie"}
    {make_btn napis="Statusy" adres="#" id="deltacityZamowieniaStatusyButton" title="Zmie status dla wybranych zamwie"}
    {make_btn napis="Drukuj" adres="`$SELF_URL`?action=`$action`&amp;mode=wydruk" id="deltacityDrukujPrzesylki" title="Drukuj listy przewozowe dla wybranych zamwie"}
    {make_btn napis="Etykiety" adres="`$SELF_URL`?action=`$action`&amp;mode=etykiety" id="deltacityEtykietyPrzesylki" title="Drukuj etykiety dla wybranych zamwie"}
    {*make_btn napis="Eksport XLS" adres="$ADMIN_URL?action=$action&amp;mode=xls" id="deltacityEksportXLSButton" title="Eksport XLS zaznaczonych zamwie"*}
    {make_btn napis="Dokument Wydania" adres="#" id="deltacityUtworzDokumentWydania" title="Wygenerownaie dokuemntu wydania dla zaznaczonych zamwie"}
  {/if}
</div>
</div>

<div id="deltacityDialog" style="display: none;"></div>

<div style="display: none;">
    <form action="{$SELF_URL}?action={$action}" method="post" id="deltacityForm" >
        <input type="submit" name="submit-btn" value="submit" />
    </form>
</div>

{include file="`$tpl_prefix`deltacity/settings.tpl"}
{include file="`$tpl_prefix`deltacity/dokumentWydania.tpl"}
{include file="`$tpl_prefix`deltacity/przesylka.tpl"}
{include file="`$tpl_prefix`deltacity/paczka.tpl"}
{include file="`$tpl_prefix`deltacity/kontrahent.tpl"}
{include file="`$tpl_prefix`deltacity/zkStatus.tpl"}

<script type="text/javascript">
    DeltaCity.url      = '{$ADMIN_URL}?action={$action}';
    DeltaCity.config   = '{$deltacity.api.nazwa}';
    DeltaCity.doc_type = '{$mode}';
    DeltaCity.settings = {json var=$deltacity.settings};
    DeltaCity.templates = {json var=`$deltacity.templates`};
    DeltaCity.paczkiTypy = {json var=`$deltacity.typyPaczek`};
</script>

{include file="footer.tpl"}
{/if}