var form_name = 'opakowanie_form';
var jednostka_stara = 1000;

function opakowanie_oblicz_objetosc( o_input ){
    var o_form = o_input.form;
    
    var jednostka = (o_form.JEDNOSTKA_DLUGOSCI.value);
    var jednostka_nazwa = o_form.JEDNOSTKA_DLUGOSCI.options[o_form.JEDNOSTKA_DLUGOSCI.selectedIndex].text;
    var wsplczynik = 1 / jednostka;
    
    var szerokosc = wsplczynik * number_format(o_form.SZEROKOSC.value);
    var wysokosc  = wsplczynik * number_format(o_form.WYSOKOSC.value);
    var glebokosc = wsplczynik * number_format(o_form.GLEBOKOSC.value);
    
    o_form.OBJETOSC.value = round(glebokosc * szerokosc * wysokosc, 4);
}


function opakowanie_jednostka_dlugosci_onchange( o_input ){
    var o_form = o_input.form;

    var jednostka = (o_form.JEDNOSTKA_DLUGOSCI.value);
    var jednostka_nazwa = o_form.JEDNOSTKA_DLUGOSCI.options[o_form.JEDNOSTKA_DLUGOSCI.selectedIndex].text;
    var wsplczynik = jednostka / jednostka_stara  ;
    
    o_form.SZEROKOSC.value = round(wsplczynik * number_format(o_form.SZEROKOSC.value), 4);
    o_form.WYSOKOSC.value  = round(wsplczynik * number_format(o_form.WYSOKOSC.value), 4);
    o_form.GLEBOKOSC.value = round(wsplczynik * number_format(o_form.GLEBOKOSC.value), 4);

    var a_span = o_form.getElementsByTagName('SPAN');
    for( var i =0; i < a_span.length; i++ ){
        if( a_span[i].className == "wymiar" ){
            a_span[i].innerHTML = jednostka_nazwa;
        }
    }

    jednostka_stara = jednostka;
    
}

