// JavaScript Document
var o_cena_progi_ajax = createXmlHttpRequestObject();

var cena_progi = [];
var cena_prog_num = -1;

var o_cena_prog_form_div = null;
var o_cena_progi_div     = null;

/******************************************************************************/

function show_cena_prog_form( action, num, show_to_all ){

    if( action == 'edit' ){
        if( arguments.length == 1 ){
            if( cena_prog_num  < 0 ){
                alert('Kliknij dwa razy na cena_prog aby go edytowa lub kliknij raz na cena_prog, a nastpnie wcinij przycisk edycja.');
                return;
            }else{
                num = cena_prog_num;
            }
        }
    }else{
        if(arguments.length < 2 ){
            num = cena_progi.length;
        }
    }


    try{
      showTlo();
    }catch(e){

    }

/******************************************************************************/

    var f = document.forms['cena_prog_form'];

    f.onsubmit = function(){
        cena_prog_add_edit();
        return false;
    }

    f.elements['num'].value = num;


    if( typeof(cena_progi[num]) == 'object' ){
        f.elements['PROG'].value = num + 1;
        f.elements['CENA_ID'].value = cena_progi[num].CENA_ID;
    }else{
        f.elements['PROG'].value = cena_progi.length + 1;
    }

    if( !o_cena_prog_form_div ){
        o_cena_prog_form_div = document.getElementById('cena_prog_form_div');
    }

    center_both_obj( o_cena_prog_form_div );

    f.elements['CENA_ID'].focus();
/******************************************************************************/

}

function cena_prog_anuluj(){
    var f = document.forms['cena_prog_form'];
    
    f.elements['num'].value     = '';
    f.elements['CENA_ID'].selectedIndex = 0;

    hide_obj(o_cena_prog_form_div );

    try{
      hideTlo();
    }catch(e){}
}

function cena_prog_add_edit( f ){
    if( arguments.length == 0 || !f || !f.name ){
        f = document.forms['cena_prog_form'];
    }

    var num = parseInt(f.elements['num'].value );
    if( isNaN(num) || num < 0 || num > cena_progi.length ){
        num = 0;
    }
    
    var PROG = parseInt(f.elements['PROG'].value );
    if( !isNaN(PROG) ){
        if(  PROG < 1  ){
            PROG = 1;
        }else if(PROG > cena_progi.length){
            PROG = cena_progi.length;
        }
    }else{

    }

    var CENA_ID = trim(f.elements['CENA_ID'].value);
    var CENA_NAZWA = f.elements['CENA_ID'].options[f.elements['CENA_ID'].selectedIndex].text;

    var index = in_cena_progi( CENA_ID );
    if( index && index != num ){
        alert('Cena: '+CENA_NAZWA+' zostaa ju przypisana dla progu: ' + (index+1) );
        return false;
    }
    var  cena_prog = {
            'CENA_ID' : CENA_ID,
            'CENA_NAZWA' : CENA_NAZWA,
            'zmieniony'   : 1
    };
        
    if( cena_progi[num] == null ){ //jesli dodaje
        if( num == PROG ){ //jesli ma byc dodany na kocu to poprost dodaje
            cena_progi[num] = cena_prog;
        }else{
            //wstawiam
            cena_progi.splice(PROG - 1, 0, cena_prog);
        }
    }else{
        if( PROG == (num + 1) ){ //jesli kolejno sie nie zmienia to aktualizuje
            cena_progi[num] = cena_prog;
        }else{
            //usuwam poprzedni
            cena_progi.splice(num,1);
            //wstawiam
            cena_progi.splice(PROG - 1, 0, cena_prog);
        }
    }


    cena_progi_print();

    cena_prog_anuluj();
}

function cena_progi_print(){
    //if( cena_progi.length == 0) return;

    var i = 0;

    var str = '';
    str = '<table width=100% align="center" cellpadding=2 cellspacing=0 class="grid" id="cena_progi_tab_grid">';
    str += '<tr>';
    str += '  <th align=center width=100>Prg</th>';
    str += '  <th align=center >Cena</th>';
    str += '</tr>';

    var img = '';

    for( i = 0; i < cena_progi.length; i++ ){
        str += '<tr onclick="podswietl_wiersz(this); cena_prog_num = ' + i + '; " ondblclick="show_cena_prog_form( \'edit\', ' + i + ');" class="wiersz' + ( (i%2) + 1 ) + ((cena_prog_num == i)?' highlight':'')+'">';
        str += '    <td align=center width=100>' +( i + 1 )+ '. <input type="hidden" name="cena_progi['+i+'][zmieniony]" value="' + cena_progi[i]['zmieniony'] + '" ></td>';
        str += '    <td >' + cena_progi[i]['CENA_NAZWA'] + '<input type="hidden" name="cena_progi['+i+'][CENA_ID]" value="' + cena_progi[i]['CENA_ID'] + '" > </td>';
        str += '</tr>';
    }
    str += '</table>\n';

    if( !o_cena_progi_div ){
        o_cena_progi_div = document.getElementById('cena_progi_div');
    }

    o_cena_progi_div.innerHTML = str;

    if( cena_prog_num >= 0){
        //to do podwietlania
        var rows = o_cena_progi_div.getElementsByTagName('TR');
        //zaznaczam wiersz zeby potem mc go zgasi
        old_row = rows[cena_prog_num + 1];
    }
}

function cena_prog_delete( num ){
    if( arguments.length == 0 ){
        num = cena_prog_num;
        cena_prog_num = -1;
        if( num <  0){
            alert('Kliknij najpierw na prg, a nastepnie wcinij przycisk usu.');
            return;
        }
    }
    cena_progi.splice(num, 1);

    cena_progi_print();
}



function in_cena_progi( cid ){
    
    for( i = 0; i < cena_progi.length; i++ ){
        if( cena_progi[i].CENA_ID == cid ){
            return i;
        }
    }

    return false;
}
/******************************************************************************/


