// JavaScript Document
var params_search_options = new Object();

function params_search_options_init( o_div ){
    if( arguments.length == 0 ){
        o_div = document.getElementById('params_search_options_div');
    }

    if( (params.length == 0) ){
        get_params( params_search_options_init );
        return ;
    }
    
    
    var param_id = null;
    var param = null;
    var html = new String();
    var i = 0;
    var rowclass;
    

    
    rowclass = ((++i) % 2) ? 'rowodd' : 'roweven';


    html += '<div id="params_search_options">';
    for( param_id in params ){
        rowclass = ((++i) % 2) ? 'rowodd' : 'roweven';
        
        param = params[param_id];
        
        html += '<div class='+rowclass+'>';
        html += '  <div class=datalabel><label>' + param.NAZWA + ':</label></div>';
        html += '  <div class=datavalue><div onclick="param_search_wartosci_show('+param_id+');" class=wybierz id="param_'+param_id+'_search_wartosci_wybierz"> Wybierz </div><div id="param_'+param_id+'_search_wartosci"></div></div>';
        html += '  <div class=rowend></div>';
        html += '</div>';
    }
    html += '</div>';

    o_div.innerHTML = html;

}

function in_array( el, tablica ){
    for( var i in tablica ){
        if( tablica[i] == el ){
            return i;
        }
    }

    return false;
}

function params_search_wartosci_print( param_id, o_div ){

    var param = params[param_id];

    var options = [];
    if( typeof(params_search_options[param_id]) == 'object' ){
        options = params_search_options[param_id];
    }
    
    var html = '';
    var i = 0;

    var events = 'onclick="params_search_wartosc_onclick(this, event)" onmouseover="params_search_wartosc_onmouseover( this )" onmouseout="params_search_wartosc_onmouseout( this )"';

    html += '<div class=option '+events+'><input type="checkbox" name="params_search_options[' + param_id + '][all]" '+(in_array( 'all', options ) ? 'checked' : '') +' value="all"> Wszystkie</div>';
    html += '<div class=option '+events+'><input type="checkbox" name="params_search_options[' + param_id + '][-1]" value="-1" '+(in_array( -1, options ) ? 'checked' : '')+'> Nieprzypisany</div>';
    
    for( wart_id in param.wartosci ){
        html += '<div class=option '+events+'><input type="checkbox" name="params_search_options[' + param_id + '][' + (i++) + ']" value="'+wart_id+'" '+(in_array( wart_id, options ) ? 'checked' : '')+'> '+param.wartosci[wart_id]+'</div>';
    }

    o_div.innerHTML = html;
}

function params_search_wartosc_odznacz( o_check ){

    o_check.checked = false;
    var o_div = o_check.parentNode;
    o_div.className = o_div.className.replace(" selected", '');

}

function params_search_wartosci_odznacz( o_check, param_id ){

    var o_form  = o_check.form;
    var i = 0;
    var o_div ;

    var el = o_form.elements['params_search_options[' + param_id + '][' + (i++) + ']'];
    while( typeof(el) == 'object'  ){
        params_search_wartosc_odznacz(el);

        el = o_form.elements['params_search_options[' + param_id + '][' + (i++) + ']'];

    }
    
}

function params_search_wartosc_onclick( o_div, e){

    var o_check = null;
    var dopasowanie;
    var param_id;
    
    var target = (!e.target) ? e.srcElement : e.target;
    if (target.nodeType == 3) target = target.parentNode;

    if( target.tagName != 'INPUT' ){
        o_check = o_div.getElementsByTagName('input').item(0);
        o_check.checked  = !o_check.checked;
    }else{
        o_check = target;
    }

    if( o_check.checked ){
        o_div.className += ' selected';
    }else{
        o_div.className = o_div.className.replace(" selected", '');
    }

    dopasowanie = o_check.name.match(/\[([0-9]+)\]/);
    if( dopasowanie ){
        param_id = dopasowanie[1];
    }else{
        param_id = o_check.value;
    }
    
    if( o_check.value == -1  ){
        params_search_wartosci_odznacz(o_check, param_id);
        params_search_wartosc_odznacz(o_check.form.elements['params_search_options[' + param_id + '][all]']);
    }else if(  o_check.value == 'all' ){
        params_search_wartosci_odznacz(o_check, param_id);
        params_search_wartosc_odznacz(o_check.form.elements['params_search_options[' + param_id + '][-1]']);
    }else{
        params_search_wartosc_odznacz(o_check.form.elements['params_search_options[' + param_id + '][-1]']);
        params_search_wartosc_odznacz(o_check.form.elements['params_search_options[' + param_id + '][all]']);
    }

    return false;
}

function params_search_wartosc_onmouseover( o_div ){

    if( o_div.className == '' ){
        o_div.className = 'hover';
    }else if( o_div.className.indexOf('hover') == -1 ){
        o_div.className += ' hover';
    }
}

function params_search_wartosc_onmouseout( o_div){
    o_div.className = o_div.className.replace(" hover", '');

}

var o_param_search_wartosci_div = null;
function param_search_wartosci_show( param_id ){
/*
    if( typeof(params[param_id].wartosci) != 'object' ){
        get_param_wartosci( param_id, param_search_wartosci_show );

        return;
    }
*/
    var o_div = document.getElementById('param_'+param_id+'_search_wartosci');
    
    if( !o_div ){
        
        o_div = document.createElement('div');

        o_div.className = 'scroll';
        o_div.style.zIndex = 510;
        o_div.style.position = "absolute";
        o_div.style.display = "block";
        o_div.style.visibility = "hidden";
        o_div.style.width = 300;
        
        document.appendChild(o_div);

        var a_keyword_dim = new Array();

        get_dimensions( o_el, a_keyword_dim);
        
    }
    
    o_param_search_wartosci_div = o_div;
    o_div.className = 'multiselect';
    
    if( o_div.innerHTML == '' ){
        
        params_search_wartosci_print( param_id, o_div);

    }else if( o_div.clientHeight > 0 ){
        o_div.style.display = 'none';
    }else{
        o_div.style.display = 'block';
    }
    
    add_event( 'click', document, params_search_onclick, true );
    
    
}

function params_search_onclick( e ){

  e = (!e) ? window.event : e;
  // pobiera adresata zdarzenia
  var target = (!e.target) ? e.srcElement : e.target;
  
  if (target.nodeType == 3) target = target.parentNode;


  if( target.id == (o_param_search_wartosci_div.id + "_wybierz") ){
      remove_event( 'click', document );
      return false;
  }
  
  var o_obj = target;
  var znaleziono = false;
  while( o_obj && !znaleziono ){

      if( o_obj.id == o_param_search_wartosci_div.id ){
          znaleziono = true;
      }

      o_obj = o_obj.parentNode;

  }
  
  if( !znaleziono ){
      o_param_search_wartosci_div.style.display = 'none';
      remove_event( 'click', document );
  }


}
